QGIS Application - Bug report #11187
2.4 install on Ubuntu 14.04. Vector menu missing many items.
2014-09-11 12:40 PM - Melissa Nunes

Status: Closed

Priority: High

Assignee:

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19499
Description

Vector menu no longer had geoprocessing tools. Raster menu also seems to be missing elements.

Has there been a GUI change? Are these tools hiding elsewhere? Google search and documentation dont indicate...

Thanks.

History

#1 - 2014-09-11 01:07 PM - Melissa Nunes

Installing via ppa:ubuntugis/ubuntugis-unstable seems to fix problem...

#2 - 2014-09-11 11:16 PM - Matthias Kuhn
- Status changed from Open to Closed

Seems to be fixed.

If there is a reason to reopen: Please state which entries are missing!

#3 - 2016-05-05 10:40 AM - Simon Dedman
- File QGis_bug.png added
- Status changed from Closed to Reopened

| have this problem. Screenshot of my vector menu attached. V2.15 master linux, PPA from debian-nightly wily. Versions from about box:

QGIS version 2.15.0-Master

QGIS code branch Release 2.15

Compiled against Qt 4.8.6

Running against Qt 4.8.6

Compiled against GDAL/OGR 1.11.2

Running against GDAL/OGR 1.11.2

Compiled against GEOS 3.5.0-CAPI-1.9.0
Running against GEOS 3.5.0-CAPI-1.9.0 r4084
PostgreSQL Client Version 9.4.5

SpatiaLite Version 4.3.0

2025-04-27 1/4




QWT Version 5.2.3

PROJ.4 Version 491

QScintilla2 Version 2.9

#4 - 2016-05-05 11:04 AM - Harrissou Santanna

Hi,

If you were looking for FTools items, note that FTools has been removed in master and replaced by Processing algorithms. So check if you activate the

processing tools in your plugin manager.

#5 - 2016-05-05 01:23 PM - Simon Dedman

Got it, so these are now in the side panel, QGis geoalorithms, vector geometry tools, voronoi polygons (for example).

Do we know why they were moved out of the top menu? Seems rather unintuitive since raster tools are still up there...

#6 - 2016-05-05 11:33 PM - Harrissou Santanna

Simon Dedman wrote:

Got it, so these are now in the side panel, QGis geoalorithms, vector geometry tools, voronoi polygons (for example).

Do we know why they were moved out of the top menu? Seems rather unintuitive since raster tools are still up there...

They should still be in the vector menu. And they are, at least on mine. re-check and report, please (unchecking FTools and checking Processing in your

plugin Manager)
see https://github.com/qgis/QGIS-Enhancement-Proposals/issues/54 for the reasons.

#7 - 2016-05-06 07:39 AM - Richard Duivenvoorde
| tried this here on Debian too:

-2.14.2: OK

- master: no menu

- master started with 'qgis --configpath /tmp/foo': OK

So though at first it seemed something with my configuration (all in .qgis2), it is strange that qgis 2.14 is ok with it, but master apparently no :-(

#8 - 2016-05-06 10:36 AM - Richard Duivenvoorde

Ok after some investigating this has to do with different versions of the processing plugin in different places.

IF you run master version, then there is a processing plugin included as 'core'-plugin

IF you then also have a processing plugin in your .qgis2/python/plugins it makes the menu dissappear.

Actually the plugin loader should mask the older version (in your plugin folder), but this does not work currently.
https://github.com/qgis/QGIS-Enhancement-Proposals/issues/54

So the fix is: IF you are running master: remove the processing from your plugin folder

If you want to run 2.14.x again you should download processing from the plugin repo again

So closing this one | think as it is not ubuntu specific, but actually a plugin loading problem...

#9 - 2016-05-06 10:37 AM - Richard Duivenvoorde

- Status changed from Reopened to Closed

#10 - 2016-05-06 11:03 AM - Simon Dedman

Hi Richard,

Good sleuthing. Are you sure it's right to close this though? It's still a bug no?

| renamed processing to "brocessing" (convenience) in /usr/share/qgis/python/plugins/db_manager but when reloaded, qgis then found v2.12.99 there, and
2.12.2 in /home/me/.qgis2/python/plugins/processing (when looking at the plugins menu). | then moved both processing folders up one level so they
wouldn't be found, still no menu, now no processing option in the plugins menu. Fine. Put processing folder back into plugins folder in /user/share, reloaded
qgis, no menu, went to plugins menu, turned on processing (2.12.99, newer than in repository), menu is back.

So: fixed, good stuff, thanks. But surely this is a bug? Even if it's not ubuntu specific, it's a plugin loading problem, and qgis should handle this

differently/better/correctly.

#11 - 2016-06-02 05:19 PM - Simon Dedman
- Status changed from Closed to Reopened

Hi Richard. | had to reinstall Qgis and ran into this again. Even if it is or isn't ubuntu specific, it's still an unresolved bug. And what's odd today is that | had
processing in /usr/share but no menu, and since moving it from usr/share, it's now not present in the plugins menu, AND there's no Processing item listed in

plugs for me to download...!

#12 - 2016-06-14 10:11 PM - Jiirgen Fischer

- Category set to Processing/Core

#13 - 2016-06-23 02:36 AM - Alexander Bruy

- Status changed from Reopened to Feedback

Simon Dedman wrote:

And what's odd today is that | had processing in /usr/share but no menu, and since moving it from usr/share, it's now not present in the plugins menu

Please check that you have no Processing in your ~/.qgis2/plugins directory

Simon Dedman wrote:

AND there's no Processing item listed in plugs for me to download...!

This is correct. Processing is a core QGIS plugin and shipped only with QGIS
#14 - 2016-06-23 08:49 AM - Simon Dedman

Please check that you have no Processing in your ~/.qgis2/plugins directory

Processing folders:
/.qgis2/processing/

and
/.qgis2/python/processing/
but not in:

~/.qgis2/python/plugins/

Thanks Alex.

#15 - 2016-10-25 04:05 AM - Alexander Bruy
- Status changed from Feedback to Closed

Closed for the lack of feedback. Reopen if necessary
